# Gophi

A server with Gopher (& hopefully soon, Gemini) protocol support in GoLang!

Unix (like) OSes only. Cross-compiled to way too many architectures.
Build-script now much improved, but still not pretty...

I work on open-source projects like this and many others for
free. If you would like to help support my work that would be hugely
appreciated 💕 https://liberapay.com/grufwub/

WARNING: the (currently non-extant) development branch is filled with lava,
         fear and capitalism.

# Features

- Built with security, concurrency and efficiency in mind

- ZERO external dependencies

- LRU file caching with user-controlled cache size, max cached file size
  and cache refresh frequency

- CGI/1.1 support

- SCGI support (only Unix socket for now)

- URL encoding with query support

- Path access restrictions with regex (see [usage](docs/USAGE.md))

- Request remapping with regex (see [usage](docs/USAGE.md))

- User server spaces (see [usage](docs/USAGE.md))

- Separate system and access logging

# Further Docs

[Usage](docs/USAGE.md)

[CGI compliance](docs/CGI.md)

[SCGI compliance](docs/SCGI.md)

[Gopher specific information](docs/GOPHER.md)

[Extra notes](docs/MISC.md)
