# SCGI Compliance

The list of environment variables sent are as follows:

```
# Set
SCGI
SERVER_SOFTWARE
SERVER_PROTOCOL
SERVER_NAME
SERVER_PORT
REMOTE_ADDR
QUERY_STRING
DOCUMENT_ROOT
REQUEST_URI

# NOT set
    Env Var     |                  Reasoning
----------------------------------------------
CONTENT_LENGTH  | We always make the equivalent of HTTP GET requests, so
                | content length will always be 0. This is a very HTTP-centric
                | variable which we do not support.
[...]           | (See skipped CGI variables under CGI compliance doc).
```